// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');


//
// create base UI tab and root window
//
var win = Titanium.UI.createWindow({  
    title:'Scrollview test window',
    backgroundColor:'#fff'
});

var scrollview = Ti.UI.createScrollView({layout: 'vertical'});

win.add(scrollview);

function onButtonClick(event){
    var button = event.source;
    var n = Ti.UI.createNotification({message: 'Removed button "' + button.title + '"'});
    n.duration = Ti.UI.NOTIFICATION_DURATION_LONG;
    button.removeEventListener('click', onButtonClick);
    scrollview.remove(button);
    n.show();
}

var i, button;
for (i = 0; i < 30; i++) {
    button = Ti.UI.createButton({title: String.format('Click to remove #%d', i)});
    button.addEventListener('click', onButtonClick);
    scrollview.add(button);
}

win.open();
